(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     14619,        384]
NotebookOptionsPosition[     14066,        361]
NotebookOutlinePosition[     14411,        376]
CellTagsIndexPosition[     14368,        373]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g2", "[", 
    RowBox[{"n_", ",", "nm_", ",", "sn_"}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", " ", "Pi", " ", 
        RowBox[{"sn", "^", "2"}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "4"}], ")"}]}]}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "-", "nm"}], ")"}], "^", "2"}]}], " ", "/", " ", 
      RowBox[{"(", 
       RowBox[{"4", 
        RowBox[{"sn", "^", "2"}]}], ")"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.519394783222*^9, 3.519394804409*^9}, {3.519394846008*^9,
   3.519394916625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"psiclass", "[", 
    RowBox[{"n_", ",", "nm_", ",", "sn_", ",", " ", "phi_", ",", "thita_"}], 
    " ", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"g2", "[", 
     RowBox[{"n", ",", "nm", ",", "sn"}], "]"}], " ", 
    RowBox[{"1", "^", 
     RowBox[{"(", 
      RowBox[{"n", "-", "1"}], ")"}]}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "/", "n"}], "]"}], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Sin", "[", "thita", "]"}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"n", "-", "1"}], ")"}]}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"I", " ", 
      RowBox[{"(", 
       RowBox[{"n", "-", "1"}], ")"}], " ", "phi"}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.519394931274*^9, 3.519395116881*^9}, {
   3.525029822141409*^9, 3.525029829758409*^9}, 3.525029892899209*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Plot3D", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"4.77", " ", "Pi", "  ", 
           RowBox[{"psiclass", "[", 
            RowBox[{
            "n", ",", "nm", ",", "sn", ",", " ", "phi", ",", "thita"}], "]"}],
            " ", 
           RowBox[{"Exp", "[", 
            RowBox[{"I", " ", "t", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"2", "Pi", " ", 
                RowBox[{"nm", "^", "3"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"2", 
                RowBox[{"nm", "^", "2"}]}], ")"}]}], 
             RowBox[{"(", 
              RowBox[{"1", "-", " ", 
               RowBox[{"2", 
                RowBox[{
                 RowBox[{"(", " ", 
                  RowBox[{"n", "-", "nm"}], ")"}], "/", "nm"}]}]}], ")"}]}], 
            "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", 
            RowBox[{"nm", "-", "7"}], ",", 
            RowBox[{"nm", "+", "7"}], ",", "1"}], "}"}]}], "]"}], "]"}], "^", 
       "2"}], ",", 
      RowBox[{"{", 
       RowBox[{"phi", ",", 
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"thita", ",", "0", ",", "Pi"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", " ", 
      RowBox[{"ColorFunction", "\[Rule]", 
       RowBox[{"Function", "[", 
        RowBox[{
         RowBox[{"{", "phi", "}"}], ",", 
         RowBox[{"Hue", "[", "phi", "]"}]}], " ", "]"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"nm", ",", 
      RowBox[{"{", 
       RowBox[{"360", ",", "111", ",", "150", ",", "300"}], "}"}]}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"sn", ",", 
      RowBox[{"{", 
       RowBox[{"2.5", ",", "2", ",", "3", ",", "4"}], "}"}]}], "}"}], " ", 
    ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "100"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"CreateWindow", "[", 
  RowBox[{"DocumentNotebook", "[", "%", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.519395123825*^9, 3.519395352432*^9}, {3.519395417426*^9,
   3.519395619179*^9}, {3.519395650092*^9, 3.5193956580559998`*^9}, {
  3.5193956951730003`*^9, 3.5193957044709997`*^9}, {3.519395802314*^9, 
  3.519395833226*^9}, {3.519396107994*^9, 3.519396117197*^9}, {
  3.520012058183*^9, 3.5200121309119997`*^9}, {3.5200121744630003`*^9, 
  3.5200122286219997`*^9}, {3.520012261679*^9, 3.520012305683*^9}, {
  3.520012351678*^9, 3.5200123831470003`*^9}, {3.525029837487609*^9, 
  3.525029841049409*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`nm$$ = 360, $CellContext`sn$$ = 
    2.5, $CellContext`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`nm$$], {360, 111, 150, 300}}, {
      Hold[$CellContext`sn$$], {2.5, 2, 3, 4}}, {
      Hold[$CellContext`t$$], 0, 100}}, Typeset`size$$ = {360., {139., 142.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`nm$85668$$ = 0, $CellContext`sn$85669$$ = 
    0, $CellContext`t$85670$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`nm$$ = 360, $CellContext`sn$$ = 
        2.5, $CellContext`t$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`nm$$, $CellContext`nm$85668$$, 0], 
        Hold[$CellContext`sn$$, $CellContext`sn$85669$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$85670$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot3D[Abs[
          Sum[
          4.77 Pi $CellContext`psiclass[$CellContext`n, $CellContext`nm$$, \
$CellContext`sn$$, $CellContext`phi, $CellContext`thita] 
           Exp[I $CellContext`t$$ ((2 Pi $CellContext`nm$$^3)/(
              2 $CellContext`nm$$^2)) (1 - 
              2 (($CellContext`n - $CellContext`nm$$)/$CellContext`nm$$))], \
{$CellContext`n, $CellContext`nm$$ - 7, $CellContext`nm$$ + 7, 
            1}]]^2, {$CellContext`phi, -Pi, Pi}, {$CellContext`thita, 0, Pi}, 
        PlotRange -> All, ColorFunction -> Function[{$CellContext`phi}, 
          Hue[$CellContext`phi]]], 
      "Specifications" :> {{$CellContext`nm$$, {360, 111, 150, 
         300}}, {$CellContext`sn$$, {2.5, 2, 3, 4}}, {$CellContext`t$$, 0, 
         100}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{409., {207., 212.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.519395468899*^9, 3.5193954889189997`*^9}, {
   3.5193955693719997`*^9, 3.51939562246*^9}, 3.519395660402*^9, 
   3.5193957186140003`*^9, 3.5193958368199997`*^9, 3.51939612017*^9, 
   3.520012096413*^9, 3.5200122646289997`*^9, 3.520012387844*^9, 
   3.525029485899809*^9, 3.525029844036009*^9, 3.525029919713809*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{13., {4., 9.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["ij7_shm", 1, 1]], 84]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"Untitled-4\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["ij7_shm", 1, 1]], 84],
  Editable->False]], "Output",
 CellChangeTimes->{{3.519395468899*^9, 3.5193954889189997`*^9}, {
   3.5193955693719997`*^9, 3.51939562246*^9}, 3.519395660402*^9, 
   3.5193957186140003`*^9, 3.5193958368199997`*^9, 3.51939612017*^9, 
   3.520012096413*^9, 3.5200122646289997`*^9, 3.520012387844*^9, 
   3.525029485899809*^9, 3.525029844036009*^9, 3.525029920339609*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "phi", "]"}], ",", " ", 
       RowBox[{"Cos", "[", "phi", "]"}], ",", 
       RowBox[{"0.1", 
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"Sum", "[", "  ", 
           RowBox[{
            RowBox[{
             RowBox[{"psiclass", "[", 
              RowBox[{
              "n", ",", "nm", ",", "sn", ",", " ", "phi", ",", "thita"}], 
              "]"}], " ", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", " ", "t", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"2.", "Pi", " ", 
                  RowBox[{"nm", "^", "3."}]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"2.", 
                  RowBox[{"nm", "^", "2."}]}], ")"}]}], 
               RowBox[{"(", 
                RowBox[{"1.", "-", " ", 
                 RowBox[{"2.", 
                  RowBox[{
                   RowBox[{"(", " ", 
                    RowBox[{"n", "-", "nm"}], ")"}], "/", "nm"}]}]}], ")"}]}],
               "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", 
              RowBox[{"nm", "-", "7."}], ",", 
              RowBox[{"nm", "+", "7."}], ",", "1"}], "}"}]}], "]"}], "]"}], 
         "^", "2"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"phi", ",", 
       RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"thita", ",", "0", ",", "Pi"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", " ", "All"}]}], " ", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"nm", ",", 
     RowBox[{"{", 
      RowBox[{"180", ",", "90"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"sn", ",", 
     RowBox[{"{", 
      RowBox[{"2.5", ",", "2"}], "}"}]}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "100"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.519395864693*^9, 3.519395948207*^9}, {3.519395979774*^9,
   3.519396037764*^9}, {3.519396237666*^9, 3.5193962457799997`*^9}, {
  3.525029994883609*^9, 3.525029997272809*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`nm$$ = 180, $CellContext`sn$$ = 
    2.5, $CellContext`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`nm$$], {180, 90}}, {
      Hold[$CellContext`sn$$], {2.5, 2}}, {
      Hold[$CellContext`t$$], 0, 100}}, Typeset`size$$ = {360., {143., 147.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`nm$90852$$ = False, $CellContext`sn$90853$$ = 
    False, $CellContext`t$90854$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`nm$$ = 180, $CellContext`sn$$ = 
        2.5, $CellContext`t$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`nm$$, $CellContext`nm$90852$$, False], 
        Hold[$CellContext`sn$$, $CellContext`sn$90853$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$90854$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ParametricPlot3D[{
         Sin[$CellContext`phi], 
         Cos[$CellContext`phi], 0.1 Abs[
            
            Sum[$CellContext`psiclass[$CellContext`n, $CellContext`nm$$, \
$CellContext`sn$$, $CellContext`phi, $CellContext`thita] 
             Exp[I $CellContext`t$$ ((2. Pi $CellContext`nm$$^3.)/(
                2. $CellContext`nm$$^2.)) (1. - 
                2. (($CellContext`n - \
$CellContext`nm$$)/$CellContext`nm$$))], {$CellContext`n, $CellContext`nm$$ - 
              7., $CellContext`nm$$ + 7., 1}]]^2}, {$CellContext`phi, -Pi, 
         Pi}, {$CellContext`thita, 0, Pi}, PlotRange -> All], 
      "Specifications" :> {{$CellContext`nm$$, {180, 
         90}}, {$CellContext`sn$$, {2.5, 2}}, {$CellContext`t$$, 0, 100}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{409., {212., 217.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5193959908900003`*^9, 3.519396178885*^9, 
  3.519396248151*^9, 3.5250300233046093`*^9}]
}, Open  ]]
},
WindowSize->{707, 649},
WindowMargins->{{Automatic, 102}, {19, Automatic}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 730, 23, 31, "Input"],
Cell[1290, 45, 875, 26, 52, "Input"],
Cell[CellGroupData[{
Cell[2190, 75, 2680, 69, 192, "Input"],
Cell[4873, 146, 2856, 53, 436, "Output"],
Cell[7732, 201, 1500, 41, 48, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9269, 247, 2158, 58, 172, "Input"],
Cell[11430, 307, 2620, 51, 446, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
